#
# spec file for package python-requests-mock
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-requests-mock
Version:        1.1.0
Release:        2.3
Summary:        Mock out responses from the requests package
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://requests-mock.readthedocs.org/
Source:         https://pypi.io/packages/source/r/requests-mock/requests-mock-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-fixtures
BuildRequires:  python-mock
BuildRequires:  python-pbr
BuildRequires:  python-requests
BuildRequires:  python-six
BuildRequires:  python-sphinx >= 1.1.2
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testtools
Requires:       python-requests >= 1.1
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
`requests-mock` provides a building block to stub out the HTTP `requests`_ portions of your testing code.
You should checkout the `docs`_ for more information.

%prep
%setup -q -n requests-mock-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
testr init
testr run --parallel

%files
%defattr(-,root,root,-)
%doc AUTHORS README.rst LICENSE ChangeLog
%{python_sitelib}/*

%changelog
* Wed Sep 28 2016 tbechtold@suse.com
- update to 1.1.0:
  * Add a called_once property to adapter
  * Enable case sensitive matching
  * Provide fixture extras for pip
  * Allow doing real_http per mock via the mocker
  * Return b'' when reading closed response
  * Fixture documentation error
* Fri Jul  8 2016 dmueller@suse.com
- fix source url
* Wed Jul  6 2016 tbechtold@suse.com
- update to 1.0.0:
  * Add tox environment to run against master requests
  * Change dev status classifier to stable
  * Doc fixups
  * Expose cert and proxies as attributes of the last request
  * Add timeout and allow_retries to RequestProxy
  * Fix py34 DB issue and remove py33/py26
  * Remove pypip.in badge from readme
* Fri Dec  4 2015 dmueller@suse.com
- update to 0.7.0:
  * Support Cookies
  * Expose Fake objects in compat
  * Update .gitreview for new namespace
  * Change ignore-errors to ignore_errors
* Mon Apr 20 2015 tbechtold@suse.com
- Fix license string
* Mon Feb  2 2015 dmueller@suse.com
- update 0.6.0:
  * Update docs
  * Allow to decorate class with mock
  * Use weakref to hold matcher
  * Include matcher in request history
  * Add called and call_count to mocker
  * Update README to use newer syntax
  * Allow specifying an exception to raise
  * Update novaclient and keystoneclient git repo
  * Add pbr to all tox environments
  * Add docs environment to tox.ini
  * Work toward Python 3.4 support and testing
  * Run tip tests against requests master as well
  * Add link to find bug tracker
* Fri Sep 26 2014 tbechtold@suse.com
- Initial package
